import { CloudObject } from "../../../lib/ncloud";

export class Device extends CloudObject {
  constructor() {
    super('Device');
  }

  get did(): string {
    return this.get('did');
  }

  set did(value: string) {
    this.set({ did: value }); // 修改为使用对象方式
  }

  get name(): string {
    return this.get('name');
  }

  set name(value: string) {
    this.set({ name: value }); // 修改为使用对象方式
  }

  get type(): string {
    return this.get('type');
  }

  set type(value: string) {
    this.set({ type: value }); // 修改为使用对象方式
  }

  get location(): string {
    return this.get('location');
  }

  set location(value: string) {
    this.set({ location: value }); // 修改为使用对象方式
  }

  get status(): string {
    return this.get('status');
  }

  set status(value: string) {
    this.set({ status: value }); // 修改为使用对象方式
  }

  get health(): number {
    return this.get('health');
  }

  set health(value: number) {
    this.set({ health: value }); // 修改为使用对象方式
  }

  get lastMaintenance(): Date {
    return new Date(this.get('lastMaintenance'));
  }

  set lastMaintenance(value: Date) {
    this.set({ lastMaintenance: value.toISOString() }); // 修改为使用对象方式
  }
}