import { Component, ViewEncapsulation } from '@angular/core';
import { DatePipe } from '@angular/common';


@Component({
  standalone: true,
  selector: 'app-historical-data',
  styleUrls: ['./historical-data.css'],
  imports: [DatePipe],
  templateUrl: './historical-data.component.html',
  encapsulation: ViewEncapsulation.None
})
export class HistoricalDataComponent {
currentTime: Date = new Date();
   ngOnInit(): void {
    // 更新时间，每秒更新一次
    setInterval(() => {
      this.currentTime = new Date();
    }, 1000);

   }
}
